import { Component, input } from '@angular/core';
import { HotelItem } from './HotelItem/HotelItem.component';
import { SearchComponent } from './Search/search.component';
import { UpperCasePipe } from '@angular/common';
import { TextPipe } from '../text.pipe';

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [HotelItem, SearchComponent, UpperCasePipe, TextPipe],
  templateUrl: './app.component.html',
  styleUrl: './app.component.css'
})
export class AppComponent {
  public search: string = "";

  public test() {
    console.log(this.search);
  }

  public has_hotels(): boolean {
    for (let hotel of this.hotels) {
      if (hotel.hotelName.includes(this.search)) {
        return true;
      }
    }
    return false;
  }

  public hotels = [
    {
      "hotelId": 1,
      "hotelName": "Buea süßes Leben",
      "description": "Schöne Aussicht am Meer",
      "price": 230.5,
      "imageUrl": "assets/img/1.jpg",
      "rating": 3.5
    },
    {
      "hotelId": 2,
      "hotelName": "Marrakesch",
      "description": "Genießen Sie den Blick auf die Berge",
      "price": 145.5,
      "imageUrl": "assets/img/2.jpg",
      "rating": 5
    },
    {
      "hotelId": 3,
      "hotelName": "Abuja neuer Palast",
      "description": "Kompletter Aufenthalt mit Autoservice",
      "price": 120.12,
      "imageUrl": "assets/img/3.jpg",
      "rating": 4
    },
    {
      "hotelId": 4,
      "hotelName": "Kapstadt Stadt",
      "description": "Wunderschönes Ambiente für Ihren Aufenthalt",
      "price": 135.12,
      "imageUrl": "assets/img/4.jpg",
      "rating": 2.5
    }
  ]
}

